# Get project due diligence information (Dependencies - SCA)

Returns a due diligence report listing the source and license information for all libraries in a project

Endpoint: GET /api/v3.0/projects/{projectUuid}/dependencies/libraries/licenses
Version: 3.0
Security: bearer-key

## Query parameters:

  - `limit` (string)
    Specifies the maximum number of items to be returned in the response.

  - `cursor` (string)
    Parameter indicates the starting point for retrieving results, the first call doesn't include a cursor parameter in the request, the API response includes the first set of results along with a cursor pointing to the last item retrieved.

## Path parameters:

  - `projectUuid` (string, required)
    UUID of the project

## Response 200 fields (application/json):

  - `additionalData` (object)
    + totalItems: The total count of data points returned in an API response.
    Example: {"totalItems":"422","next":"http://someUrl?cursor=3","cursor":3}

  - `supportToken` (string)
    Example: "1171c60d"

  - `response` (array)

  - `response.uuid` (string)

  - `response.name` (string)

  - `response.component` (object)

  - `response.component.uuid` (string)
    Example: "123e4567-e89b-12d3-a456-426655440000"

  - `response.component.name` (string)
    Example: "dbus-1.10.24-13.el7_6.x86_64.rpm"

  - `response.component.description` (string)
    Example: "Component description"

  - `response.component.componentType` (string)
    Enum: "Library"

  - `response.component.language` (string)
    Example: "REDHAT_PACKAGE_MODULE"

  - `response.component.directDependency` (boolean)

  - `response.component.rootLibrary` (boolean)

  - `response.component.references` (object)

  - `response.component.references.url` (string)
    Example: "https://www.gnupg.org/related_software/pinentry/98"

  - `response.component.references.homePage` (string)
    Example: "https://www.gnupg.org/related_software/pinentry/89"

  - `response.component.references.downloadLink` (string)
    Example: "https://www.gnupg.org/related_software/pinentry/09"

  - `response.component.references.issueUrl` (string)
    Example: "https://www.gnupg.org/related_software/pinentry/87"

  - `response.component.references.pomUrl` (string)
    Example: "https://www.gnupg.org/related_software/pinentry/76"

  - `response.component.references.scmUrl` (string)
    Example: "https://www.gnupg.org/related_software/pinentry/65"

  - `response.component.references.genericPackageIndex` (string)
    Example: "5"

  - `response.component.references.nugetGallery` (string)

  - `response.component.references.tags` (string)
    Example: "Important"

  - `response.component.references.copyright` (string)
    Example: "Copyright 2002-2015 g10 Code GmbH"

  - `response.component.references.hasNotice` (boolean)

  - `response.component.groupId` (string)
    Example: "org.springframework.boot"

  - `response.component.artifactId` (string)
    Example: "spring-boot"

  - `response.component.version` (string)
    Example: "3.0.5"

  - `response.component.path` (string)
    Example: "pom.xml"

  - `response.component.dependencyFile` (string)

  - `response.component.localPath` (string)

  - `response.component.dependencyType` (string)
    Example: "Direct / Transitive"

  - `response.component.libraryType` (string)
    Example: "REDHAT_PACKAGE_MODULE"

  - `response.license` (object)

  - `response.license.uuid` (string)
    Example: "123e4567-e89b-12d3-a456-426655440000"

  - `response.license.type` (string)
    Example: "ARTIFACT_DESCRIPTOR"

  - `response.license.liabilityReference` (string)
    Example: "https://repo.maven.apache.org/maven2/org/jruby/ext/posix/jna-posix/1.0.3/jna-posix-1.0.3.pom"

  - `response.license.assignedBy` (object)

  - `response.license.assignedBy.uuid` (string, required)
    Example: "123e4567-e89b-12d3-a456-426655440000"

  - `response.license.assignedBy.name` (string)
    Example: "Jon Smith"

  - `response.license.assignedBy.email` (string)
    Example: "jon.smith@mail.com"

  - `response.license.assignedBy.userType` (string)
    Enum: "REGULAR", "SERVICE", "SCAN_SUMMARY_RECEIVER"

  - `response.license.assignedBy.accountStatus` (string)
    Enum: "ACTIVE", "INACTIVE", "LOCKOUT"

  - `response.license.textUrl` (string)

  - `response.license.customDisclaimer` (string)

  - `response.license.information` (string)
    Example: "distribution=repo&remoteUrl=https://repo.maven.apache.org/maven2/org/jruby/ext/posix/jna-posix/1.0.3/jna-posix-1.0.3.pom"

  - `response.riskScore` (object)

  - `response.riskScore.explanation` (string)
    Example: "http://en.wikipedia.org/wiki/Academic_Free_License"

  - `response.riskScore.indicatingText` (string)
    Example: "1) Grant of Copyright License..."

  - `response.riskScore.riskScore` (integer)
    Example: 39

  - `response.copyrights` (array)
    Example: ["Copyright 2010 Cloud Conscious, LLC"]

  - `response.extraData` (object)

  - `response.extraData.homepage` (string)
    Example: "https://api.github.com/repos/SR-dude/AvP-Wine/zipball/original"

  - `response.extraData.authors` (array)

  - `response.extraData.authors.author` (string)
    Example: "The Apache Software Foundation"

  - `response.extraData.authors.authorUrl` (string)
    Example: "http://www.apache.org/"

  - `response.project` (object)
    Project information

  - `response.project.uuid` (string)
    Example: "123e4567-e89b-12d3-a456-426655440000"

  - `response.project.name` (string)
    Example: "My Project"

  - `response.project.path` (string)
    Example: "My Application"

  - `response.project.applicationName` (string)
    Example: "My Application"

  - `response.project.applicationUuid` (string)
    Example: "123e4567-e89b-12d3-a456-426655440000"

## Response 400 fields (*/*):

  - `supportToken` (string)
    Example: "1171c60d"


